<!DOCTYPE html>

<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Binding Provider</title>
        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.1/jquery.min.js" type="text/javascript"></script>
        <script src="http://cloud.github.com/downloads/SteveSanderson/knockout/knockout-2.1.0.js" type="text/javascript"></script>
        <script src="js/conventionBindingProvider.js" type="text/javascript"></script>       
        <script src="js/app.js" type="text/javascript"></script>

    </head>
    <body>
<h2 data-name="title"></h2>
<span data-name="firstName"></span><br/>
<span>First Name:</span>
<input data-name="firstName" /><br />
<span>Middle Name:</span>
<input data-bind="value: middleName" type="text" /><br />
<span>Last Name:</span>
<input data-name="lastName" data-focus="true" /><br />
<span>Password:</span>
<input data-name="password" type="password" /><br />
<span>Is Active:</span>
<input data-name="isActive" type="checkbox" /><br />
<button data-name="run">
    Run
</button>
<span>   </span>
<button data-name="execute">
    Execute
</button>
<span>   </span>
<input data-name="submit" type="submit" value="Submit" />
<span>   </span>
<input data-name="test" type="button" value="Test" />
<span>   </span>
<a data-name="link">Click me</a>
<br/> 
<p>
Country:
    <select data-bind="options: availableCountries, optionsText: 'countryName', value: selectedCountry, optionsCaption: 'Choose...'"></select>
</p>
<br />
<div>
    Preferred flavor:
    <div><input type="radio" name="flavorGroup" value="cherry" data-name="flavor" /> Cherry</div>
    <div><input type="radio" name="flavorGroup" value="almond" data-name="flavor" /> Almond</div>
    <div><input type="radio" name="flavorGroup" value="msg" data-name="flavor" /> Monosodium Glutamate</div>
</div>
<br />
<img width="320px" height="240px" data-name="imagePath" />  
<p>
<!--<textarea data-name="firstName" /><br />-->
</p>
<br />
<!--<pre data-bind="text: ko.toJSON($root, null, 2)"></pre>-->
    </body>
</html>
